Subject: Re: [PATCH v3 0/3] fast-import: add mode to re-sign invalid commit signatures

From: Junio C Hamano <[email-masked]>
Date: Tue, 10 Mar 2026 13:49:50 -0700

Justin Tobler <[email-masked]> writes:

> With c20f112e51 (fast-import: add 'strip-if-invalid' mode to
> --signed-commits=<mode>, 2025-11-17), it became possible to remove
> invalid signatures from commits via git-fast-import(1) while maintaining
> valid commit signatures. Building upon this functionality, a user may
> want to re-sign these invalid commit signatures. This series introduces
> the `re-sign-if-invalid` mode to do so accordingly.

I know that this "re-sign" used to be "resign", and the update is
indeed a replacement, but I wonder if we can just say "sign"?

When we see a signature on an object we are rewriting, we either
"strip" it, or we "sign" it (afresh).  It is not like we are
retaining the old signature, and signing on top of it.  We are
discarding the old one so there is no difference from signing the
object that never had a signature, no?